Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1701995 - Review Request: libsquish - Open source DXT compression library
Summary: Review Request: libsquish - Open source DXT compression library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1701667
TreeView+ depends on / blocked
 
Reported: 2019-04-22 16:22 UTC by Gwyn Ciesla
Modified: 2019-05-02 03:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-02 03:33:12 UTC
Type: Bug
hobbes1069: fedora-review+


Attachments (Terms of Use)

Description Gwyn Ciesla 2019-04-22 16:22:43 UTC
Description: The libSquish library compresses images with the DXT standard (also known as S3TC). This standard is mainly used by OpenGL and DirectX for the lossy compression of RGBA textures.

SRPM: https://fedorapeople.org/~limb/review/libsquish/libsquish-1.15-1.fc30.src.rpm
SPEC: https://fedorapeople.org/~limb/review/libsquish/libsquish.spec 

Needed for the latest supertuxkart.

Comment 1 Richard Shaw 2019-04-22 16:41:14 UTC
Quick spec review...

1. Should the Requires in the -devel package be 32/64 bit dependent?

Requires: %{name} = %{version}-%{release}
to
Requires: %{name}%{?_isa} = %{version}-%{release}


2. Use newer setup macro in %prep?

%autosetup -c %{name}-%{version}


3. %make_build in %build?

Nothing earth shattering obviously...

Comment 2 Robert-André Mauchin 2019-04-22 16:42:49 UTC
Pre-review:

%if %{?_lib} == lib64
sed -i s/DESTINATION\ lib/DESTINATION\ lib64/g CMakeLists.txt
%endif

→

%if 0%{?__isa_bits} == 64
   sed -i s/DESTINATION\ lib/DESTINATION\ lib64/g CMakeLists.txt
%endif


 - In order to avoid unintentional SONAME bump, we now forbid globbing the major SONAME version, be more specific instead:

%{_libdir}/*.so.*

 - Missing isa:

Requires: %{name}%{?_isa} = %{version}-%{release}

 - License: Expat → License: MIT

Comment 3 Robert-André Mauchin 2019-04-22 16:46:16 UTC
Why don't you do simply:

sed -i s/DESTINATION\ lib/DESTINATION\ %{?_lib}/g CMakeLists.txt


anyway?

Comment 5 Richard Shaw 2019-04-22 18:14:04 UTC
I'm working on the official review now but I went ahead and poked around the CMake config and added a patch to properly install the library without using a workaround. The patch should be submitted upstream.

https://hobbes1069.fedorapeople.org/libsquish-1.15-2.fc29.src.rpm

Comment 6 Gwyn Ciesla 2019-04-22 19:03:24 UTC
Thank you, I will do so.

Comment 7 Richard Shaw 2019-04-22 19:49:13 UTC
One minor nit:

libsquish-devel.x86_64: W: summary-ended-with-dot C Development files for Open source DXT compression library.

And this one can be ignored, not sure why it can load the site:
libsquish-devel.x86_64: W: invalid-url URL: https://sourceforge.net/projects/libsquish/ <urlopen error [Errno -2] Name or service not known>

The only real problem, if it is one, is the Expat license. I can't find any reference to it on the Fedora licenses page. It appears to be a permissive form of the MIT license (ironically) and neither licensecheck or rpmlint choke on it.

Comment 8 Gwyn Ciesla 2019-04-22 19:55:42 UTC
I'm guessing the licences page is out of date. They said MIT on the website, but licensecheck said Expat, so that's what I used. I'm inclined to just use Expat and move on, but that's your call. I've fixed the summary dot but am not posting a new build just for that. :)

Comment 9 Richard Shaw 2019-04-22 20:14:55 UTC
Ok, I think it's OK to approve the package but I would at least ask on devel or maybe send an email to fedora legal so that it gets added to the docs.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 12 files have unknown
     license. Detailed output of licensecheck in /home/build/fedora-
     review/1701995-libsquish/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libsquish
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libsquish-1.15-2.fc31.x86_64.rpm
          libsquish-devel-1.15-2.fc31.x86_64.rpm
          libsquish-debuginfo-1.15-2.fc31.x86_64.rpm
          libsquish-debugsource-1.15-2.fc31.x86_64.rpm
          libsquish-1.15-2.fc31.src.rpm
libsquish.x86_64: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
libsquish-devel.x86_64: W: summary-ended-with-dot C Development files for Open source DXT compression library.
libsquish.src: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
5 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libsquish-debuginfo-1.15-2.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
libsquish-debuginfo.x86_64: W: invalid-url URL: https://sourceforge.net/projects/libsquish/ <urlopen error [Errno -2] Name or service not known>
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
libsquish.x86_64: W: spelling-error %description -l en_US lossy -> loss, glossy, flossy
libsquish.x86_64: W: invalid-url URL: https://sourceforge.net/projects/libsquish/ <urlopen error [Errno -2] Name or service not known>
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
libsquish-debugsource.x86_64: W: invalid-url URL: https://sourceforge.net/projects/libsquish/ <urlopen error [Errno -2] Name or service not known>
libsquish-devel.x86_64: W: summary-ended-with-dot C Development files for Open source DXT compression library.
libsquish-devel.x86_64: W: invalid-url URL: https://sourceforge.net/projects/libsquish/ <urlopen error [Errno -2] Name or service not known>
4 packages and 0 specfiles checked; 0 errors, 6 warnings.



Source checksums
----------------
http://download.sourceforge.net/sourceforge/libsquish/libsquish-1.15.tgz :
  CHECKSUM(SHA256) this package     : 628796eeba608866183a61d080d46967c9dda6723bc0a3ec52324c85d2147269
  CHECKSUM(SHA256) upstream package : 628796eeba608866183a61d080d46967c9dda6723bc0a3ec52324c85d2147269


Requires
--------
libsquish (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

libsquish-devel (rpmlib, GLIBC filtered):
    libsquish(x86-64)
    libsquish.so.0.0()(64bit)

libsquish-debuginfo (rpmlib, GLIBC filtered):

libsquish-debugsource (rpmlib, GLIBC filtered):



Provides
--------
libsquish:
    libsquish
    libsquish(x86-64)
    libsquish.so.0.0()(64bit)

libsquish-devel:
    libsquish-devel
    libsquish-devel(x86-64)

libsquish-debuginfo:
    debuginfo(build-id)
    libsquish-debuginfo
    libsquish-debuginfo(x86-64)

libsquish-debugsource:
    libsquish-debugsource
    libsquish-debugsource(x86-64)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1701995
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Perl, Haskell, fonts, PHP, Ocaml, Python, SugarActivity, Java, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 10 Gwyn Ciesla 2019-04-22 20:16:36 UTC
Will do, thank you so much!

Comment 11 Gwyn Ciesla 2019-04-22 20:20:16 UTC
Emailed the legal list.

Comment 12 Gwyn Ciesla 2019-04-22 21:18:34 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libsquish

Comment 13 Fedora Update System 2019-04-23 21:25:25 UTC
libsquish-1.15-2.fc30 supertuxkart-1.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a39e7607d

Comment 14 Fedora Update System 2019-04-24 20:27:55 UTC
libsquish-1.15-2.fc30, supertuxkart-1.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a39e7607d

Comment 15 Fedora Update System 2019-05-02 03:33:12 UTC
libsquish-1.15-2.fc30, supertuxkart-1.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.